"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QrCode = void 0;
const qcloud_iotexplorer_appdev_plugin_wificonf_core_1 = require("qcloud-iotexplorer-appdev-plugin-wificonf-core");
const { WifiConfErrorMsg, WifiConfStepCode } = qcloud_iotexplorer_appdev_plugin_wificonf_core_1.constants;
/*
  该sdk提供两个方法
  1. 绘制二维码
  2. 轮询检查链接的状态
*/
class QrCode extends qcloud_iotexplorer_appdev_plugin_wificonf_core_1.WifiConfProtocolBase {
    // eslint-disable-next-line no-useless-constructor
    constructor(sdk, options) {
        super(sdk, options);
    }
    // 轮询检查设备的绑定状态
    async doBusiness() {
        var _a, _b;
        try {
            const deviceInfo = await (0, qcloud_iotexplorer_appdev_plugin_wificonf_core_1.queryTokenStateAndBind)({
                token: this.options.wifiConfToken,
                productId: '',
                deviceName: '',
                familyId: this.options.familyId,
                roomId: this.options.roomId,
                onProgress: (data) => {
                    this.onProgress.call(this, data);
                },
                sdk: this.sdk,
                newTokenVersion: this.options.newTokenVersion,
            });
            this.onComplete(deviceInfo);
        }
        catch (error) {
            console.log(error);
            if (error && error.code in WifiConfErrorMsg) {
                error.uiMsg = WifiConfErrorMsg[error.code];
            }
            if (((_a = error === null || error === void 0 ? void 0 : error.detail) === null || _a === void 0 ? void 0 : _a.code) === "QUERY_TOKEN_RESULT_ERROR" /* WifiConfStepCode.QUERY_TOKEN_RESULT_ERROR */) {
                error.uiMsg = (_b = error === null || error === void 0 ? void 0 : error.detail) === null || _b === void 0 ? void 0 : _b.msg;
            }
            this.onProgress({
                code: "WIFI_CONF_FAIL" /* WifiConfStepCode.WIFI_CONF_FAIL */,
                detail: { error },
            });
            this.onError({ code: 'WIFI_CONF_FAIL', detail: { error } });
        }
    }
}
exports.QrCode = QrCode;
//# sourceMappingURL=index.js.map